AutoCAD VB.Net 颜色选择器

发布于 2024-11-10 08:08:33 字数 287 浏览 2 评论 0原文

我正在将一些 AutoCAD VBA 移植到 VB.Net。

几个模块执行 ThisDrawing.SendCommand("_color" & vbCR) 来弹出 AutoCAD 颜色选择器,然后通过执行 ThisDrawing.GetVariable("CECOLOR")< 来处理响应/code> 获取所选颜色。

对于.Net,SendCommand 在程序结束之前不会执行。

如何让 AutoCAD 颜色选择器在我的代码中内联执行?

I am porting some AutoCAD VBA to VB.Net.

Several of the modules do a ThisDrawing.SendCommand("_color" & vbCR) to popup an AutoCAD color picker, then process the response by doing a ThisDrawing.GetVariable("CECOLOR") to get the selected color.

With .Net, the SendCommand does not execute until the program ends.

How can I get the AutoCAD color picker to execute inline in my code?

如果你对这篇内容有疑问,欢迎到本站社区发帖提问 参与讨论,获取更多帮助,或者扫码二维码加入 Web 技术交流群。

扫码二维码加入Web技术交流群

发布评论

需要 登录 才能够评论, 你可以免费 注册 一个本站的账号。

评论(1

半窗疏影 2024-11-17 08:08:33

有一个 ColorDialog 类可以做到这一点。这是一些 C# 代码:

using Autodesk.AutoCAD.EditorInput;
using Autodesk.AutoCAD.Windows;

var cd = new ColorDialog();    
if (cd.ShowDialog() != DialogResult.OK) return;
Editor ed = Application.DocumentManager.MdiActiveDocument.Editor;
ed.WriteMessage("\nSelected color: " + cd.Color);

There is a ColorDialog class to do that. Here is some C# code:

using Autodesk.AutoCAD.EditorInput;
using Autodesk.AutoCAD.Windows;

var cd = new ColorDialog();    
if (cd.ShowDialog() != DialogResult.OK) return;
Editor ed = Application.DocumentManager.MdiActiveDocument.Editor;
ed.WriteMessage("\nSelected color: " + cd.Color);
~没有更多了~
我们使用 Cookies 和其他技术来定制您的体验包括您的登录状态等。通过阅读我们的 隐私政策 了解更多相关信息。 单击 接受 或继续使用网站,即表示您同意使用 Cookies 和您的相关数据。
原文